View Issue Details

IDProjectCategoryView StatusLast Update
0003100Kali Linux[All Projects] General Bugpublic2016-03-03 14:20
ReporterSpyro Assigned Tosbrun  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003100: Websploit 3.0.0 fails to recongnise more than 4 characters when customizing options for the module wifi jammer
Descriptionroot@Kali:~# websploit
WARNING: No route found for IPv6 destination :: (no default route?)

     ( ( ) ( )
     )\))( ' ( ( /( )\ ( ( /(
    ((_)()\ ) ))\ )\()) ( ` ) ((_) ( )\ )\())
    _(())\_)() /((_)((_)\ )\ /(/( _ )\((_)(_))/
    \ \((_)/ /(_)) | |(_)((_)((_)_\ | | ((_)(_)| |_
     \ \/\/ / / -_) | '_ \(_-<| '_ \)| |/ _ \| || _|
      \_/\_/ \___| |_.__//__/| .__/ |_|\___/|_| \__|
                              |_|

        --=[WebSploit Advanced MITM Framework
    +---**---==[Version :3.0.0
    +---**---==[Codename :Katana
    +---**---==[Available Modules : 20
        --=[Update Date : [r3.0.0-000 20.9.2014]



wsf > show modules

Web Modules Description
------------------- ---------------------
web/apache_users Scan Directory Of Apache Users
web/dir_scanner Directory Scanner
web/wmap Information Gathering From Victim Web Using (Metasploit Wmap)
web/pma PHPMyAdmin Login Page Scanner
web/cloudflare_resolver CloudFlare Resolver


Network Modules Description
------------------- ---------------------
network/arp_dos ARP Cache Denial Of Service Attack
network/mfod Middle Finger Of Doom Attack
network/mitm Man In The Middle Attack
network/mlitm Man Left In The Middle Attack
network/webkiller TCP Kill Attack
network/fakeupdate Fake Update Attack Using DNS Spoof
network/arp_poisoner Arp Poisoner


Exploit Modules Description
------------------- ---------------------
exploit/autopwn Metasploit Autopwn Service
exploit/browser_autopwn Metasploit Browser Autopwn Service
exploit/java_applet Java Applet Attack (Using HTML)


Wireless / Bluetooth Modules Description
------------------- ---------------------
wifi/wifi_jammer Wifi Jammer
wifi/wifi_dos Wifi Dos Attack
wifi/wifi_honeypot Wireless Honeypot(Fake AP)
wifi/mass_deauth Mass Deauthentication Attack
bluetooth/bluetooth_pod Bluetooth Ping Of Death Attack


wsf > use wifi/wifi_jammer
wsf:Wifi_Jammer > show options

Options Value RQ Description
--------- -------------- ---- --------------
interface wlan0 yes Wireless Interface Name
bssid yes Target BSSID Address
essid yes Target ESSID Name
mon mon0 yes Monitor Mod(default)
channel 11 yes Target Channel Number

wsf:Wifi_Jammer > set mon wlan0mon
MON => wlan
wsf:Wifi_Jammer >
Steps To ReproduceI closed websploit and reopened it then i tried to do the same thing:
'wsf:Wifi_Jammer > set mon wlan0mon'
but it keeps on showing this
'MON => wlan'

Activities

McPeters

2016-03-01 14:59

reporter   ~0004797

...known issue, temporary solution: you have change some lines in /usr/share/websploit/modules/wifi_jammer.py (also see here: http://www.hackingtutorials.org/metasploit-tutorials/websploit-wifi-jammer/)

sbrun

2016-03-03 14:20

manager   ~0004812

We changed the required lines in modules/wifi_jammer.py.
It's fixed with version 3.0.0-0kali2.

Issue History

Date Modified Username Field Change
2016-02-27 04:00 Spyro New Issue
2016-03-01 14:59 McPeters Note Added: 0004797
2016-03-02 10:37 rhertzog Assigned To => sbrun
2016-03-02 10:37 rhertzog Status new => assigned
2016-03-03 14:20 sbrun Note Added: 0004812
2016-03-03 14:20 sbrun Status assigned => resolved
2016-03-03 14:20 sbrun Resolution open => fixed
2016-03-03 14:20 sbrun Fixed in Version => 2016.2
2016-03-17 06:25 newhack Issue cloned: 0003154
2016-03-17 06:25 newhack Issue cloned: 0003155
2016-03-17 06:26 newhack Issue cloned: 0003160